mbed_host_tests.host_tests_registry.host_registry.HostRegistry Class Reference

## Public Member Functions

| register_host_test (self, ht_name, ht_object)
| Registers host test object by name.
| unregister_host_test (self, ht_name)
| Unregisters host test object by name.
| get_host_test (self, ht_name)
| Fetches host test object by name.
| is_host_test (self, ht_name)
| Checks (by name) if host test object is registered already.
| table (self, verbose=False)
| Prints list of registered host test classes (by name) @Detail For devel & debug purposes.
| register_from_path (self, path, verbose=False)

## Static Public Attributes

dict | HOST_TESTS = {}

## Protected Member Functions

| _add_module_to_registry (self, path, module_file, verbose)

## Detailed Description

     Class stores registry with host tests and objects representing them

Definition at line 41 of file host_registry.py.

## Member Function Documentation

## _add_module_to_registry()

mbed_host_tests.host_tests_registry.host_registry.HostRegistry._add_module_to_registry | ( |  | self,
|  |  | path,
|  |  | module_file,
|  |  | verbose
| ) |  |

protected

Definition at line 117 of file host_registry.py.

## get_host_test()

mbed_host_tests.host_tests_registry.host_registry.HostRegistry.get_host_test | ( |  | self,
|  |  | ht_name
| ) |  |

Fetches host test object by name.

Parameters

  ht_name | Host test unique name

Returns
  Host test callable object or None if object is not found

Definition at line 63 of file host_registry.py.

## is_host_test()

mbed_host_tests.host_tests_registry.host_registry.HostRegistry.is_host_test | ( |  | self,
|  |  | ht_name
| ) |  |

Checks (by name) if host test object is registered already.

Parameters

  ht_name | Host test unique name

Returns
  True if ht_name is registered (available), else False

Definition at line 72 of file host_registry.py.

## register_from_path()

mbed_host_tests.host_tests_registry.host_registry.HostRegistry.register_from_path | ( |  | self,
|  |  | path,
|  |  | verbose = `False`
| ) |  |

     Enumerates and registers locally stored host tests
        Host test are derived from mbed_host_tests.BaseHostTest classes

Definition at line 101 of file host_registry.py.

## register_host_test()

mbed_host_tests.host_tests_registry.host_registry.HostRegistry.register_host_test | ( |  | self,
|  |  | ht_name,
|  |  | ht_object
| ) |  |

Registers host test object by name.

Parameters

  ht_name | Host test unique name
  ht_object | Host test class object

Definition at line 46 of file host_registry.py.

## table()

mbed_host_tests.host_tests_registry.host_registry.HostRegistry.table | ( |  | self,
|  |  | verbose = `False`
| ) |  |

Prints list of registered host test classes (by name) @Detail For devel & debug purposes.

Definition at line 82 of file host_registry.py.

## unregister_host_test()

mbed_host_tests.host_tests_registry.host_registry.HostRegistry.unregister_host_test | ( |  | self,
|  |  | ht_name
| ) |  |

Unregisters host test object by name.

Parameters

  ht_name | Host test unique name

Definition at line 55 of file host_registry.py.

## Member Data Documentation

## HOST_TESTS

dict mbed_host_tests.host_tests_registry.host_registry.HostRegistry.HOST_TESTS = {}

static

Definition at line 44 of file host_registry.py.

The documentation for this class was generated from the following file:

- mbed_host_tests/host_tests_registry/host_registry.py